#!/bin/sh
# Activy set Display text
/bin/stty 38400 < /dev/ttyS0
set -x
source /etc/conf.d/vdr
WAKEUP_FILE=${VIDEO}/~wakeup
LCD_BR=$(grep "alcd.LCDBrightnessOnExit" /etc/vdr/setup.conf | cut -f 2 -d "=")
[ "$LCD_BR" = "" ] && exit
if [ -s $WAKEUP_FILE -a $LCD_BR -gt 0 ] ; then
   NT=$(cat $WAKEUP_FILE | cut -f 1 -d ";")
   WT="$(date -d "1970-01-01 UTC $NT seconds" '+%d.%m.%Y - %R')"
   CH=$(cat $WAKEUP_FILE | cut -f 2 -d ";")
   PR=$(cat $WAKEUP_FILE | cut -f 3- -d ";" | cut -b 1-20)
   echo "$WT"
   echo "$CH-$PR"
   LCD_COL=$(printf "%02X" $(((16-$LCD_BR)*16)))
else
   WT="                  "
   PR="                    "
   LCD_COL="FF"
fi
DONE=""
if [ "$(ps x | grep vdr | grep "plugin=alcd ")" != "" ] ; then
   svdrpsend.pl PLUG alcd LOCK
   svdrpsend.pl PLUG alcd PWRLED BLINK
   svdrpsend.pl PLUG alcd SHOW "$WT $PR"
   DONE=$(svdrpsend.pl PLUG alcd STAY ON | grep "^900")
fi
if [ "$DONE" = "" ] ; then
   printf "\x9A\x02 $WT " > /dev/ttyS0
   printf "\x9A\x03$PR" > /dev/ttyS0
   printf "\xF0\x$LCD_COL" > /dev/ttyS0
   printf "\x9C\x00" > /dev/ttyS0
fi


