#!/bin/bash
source /etc/conf.d/vdr.admin.cfg
source /etc/conf.d/vdr

MPL_CONF="/etc/vdr/plugins/mplayer.sh.conf"

CPU_FREQ="$(grep "^cpu MHz" /proc/cpuinfo | cut -f 2 -d ":" | cut -f 1 -d "." )"

if [ $CPU_FREQ -gt 1100 ] ; then
    echo "Konfiguriere mplayer fuer schnelle CPU"
    sed -i $MPL_CONF -e "s/.*SLOW_CPU=.*/#SLOW_CPU=\"true\"/"
else
    echo "Konfiguriere mplayer fuer langsame CPU"
    sed -i $MPL_CONF -e "s/.*SLOW_CPU=.*/SLOW_CPU=\"true\"/"
fi

sed -i $MPL_CONF -e "s|^MPLAYER=.*|MPLAYER=/usr/bin/mplayer|"
if [ "$(echo " $PLUGINS " | grep " dxr3 ")" != "" ] ; then
    AO="dxr3"
    VO="dxr3"
elif [ "$(echo " $PLUGINS " | grep " em84xx ")" != "" ] ; then
    AO="em84xx"
    VO="em84xx"
    sed -i $MPL_CONF -e "s|^MPLAYER=.*|MPLAYER=/usr/bin/mplayer-em84|"
    $SETVAL PLG_externalplayer 1
    $SETVAL PLG_mplayer 5
    if [ "$(grep "mplayer.ControlMode" /etc/vdr/setup.conf)" = "" ] ; then
        echo "mplayer.ControlMode = 0" >> /etc/vdr/setup.conf
    else
        sed -i /etc/vdr/setup.conf -e "s/mplayer\.ControlMode.*/mplayer\.ControlMode = 0/"
    fi
elif [ "$(sh /_config/bin/detect_modules.sh 2>/dev/null | grep "dvb-ttpci")" != "" ] ; then
    AO="mpegpes"
    VO="mpegpes"
else
    AO="alsa"
    VO="x11"
fi
echo "Mplayer Video/Audio-Ausgabe: <$VO><$AO>"
sed -i $MPL_CONF -e "s/^AO=.*/AO=\"$AO\"/"
sed -i $MPL_CONF -e "s/^VO=.*/VO=\"$VO\"/"

