#!/bin/sh
source /etc/conf.d/vdr
VDR_CONSOLE=8
X_CONSOLE=7

logger -s "$0 <$1><$2> init"

if [ "$1" = "-x" ] ; then
   NEW_CON="X"
elif [ "$1" = "-vdr" ] ; then
   NEW_CON="VDR"
elif [ "$1" = "-switch" ] ; then
   if [ -f /_config/status/~vdrdisabled ] ; then
      NEW_CON="VDR" 
   else
      #switch to X using externalplayer plugin
      if [ "$(echo $PLUGINS | grep "externalplayer")" != "" ] ; then
         svdrpsend.pl PLUG externalplayer main
         exit
      else
         NEW_CON="X"	 
      fi	 
   fi
else
   echo "Illegeal Parameter - must be -vdr or -x or -switch"
   exit
fi

logger -s "$0 <$1><$2> $NEW_CON"

echo "Switching to $NEW_CON"

if [ "$NEW_CON" = "X" ] ; then
   NC="$(/_config/bin/getXVT.sh -a)"
   if [ "$NC" = "" ] ; then
      echo "X ist nicht gestartet"
      exit
   fi  
   echo "VDR wird disabled"
   touch /_config/status/~vdrdisabled
   [ -f /_config/status/~freevodisabled ] && rm -f /_config/status/~freevodisabled
   GUI_SWITCH_CONSOLE=1
   svdrpsend.pl CTRL off
   sh /_config/bin/setscart.sh TVOUT
else
   if [ "$(pidof vdr)" = "" ] ; then
      for i in $(seq 1 10) ; do
         [ "$(pidof vdr)" != "" ] && break
         sleep 1
      done
      [ "$(pidof vdr)" = "" ] && echo "VDR ist nicht gestartet" && exit
   fi
   echo "VDR wird enabled"
   [ -f /_config/status/~vdrdisabled ] && rm -f /_config/status/~vdrdisabled
   touch /_config/status/~freevodisabled
   svdrpsend.pl CTRL on
      
   NC=$VDR_CONSOLE
   sh /_config/bin/setscart.sh DVB
fi

if [ "$GUI_SWITCH_CONSOLE" = "1" ] ; then
   i=0
   while [ "$(fgconsole)" != "$NC" ] ; do
      logger -s "Switching to console $NC"
      killall -9 chvt >/dev/null 2>&1
      chvt $NC &
      if [ $i -ge 3 ] ; then
         break
      fi
      i=$(($i + 1))
      sleep 2
   done
fi
logger -s "$0 <$1><$2> $NEW_CON exit"
